Function
read
Loads records from a file.
read(file, memPtr, count)
read(file, fragStore, tag)
Include Headers
seqan/blast.h, seqan/file.h, seqan/store.h
Parameters

file | A File object. Types: File
memPtr | A pointer to the first destination record in memory.
count | The amount of records to be read.
fragStore | A fragment store. Currently Amos message file and Sam formats are supported. Types: FragmentStore
tag | Types: Amos message file, Sam

Remarks
The records are read from the position pointed by the current file pointer (see seek).
Return Values
A bool which is true on success.
Example Programs
File Format I/O
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48